Package com.independentsoft.office.word.drawing

# Class WrapSquare

java.lang.Object
com.independentsoft.office.word.drawing.WrapType
com.independentsoft.office.word.drawing.WrapSquare

public class WrapSquare extends WrapType
The Class WrapSquare.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WrapSquare()`
  Instantiates a new wrap square.
  `WrapSquare​(WrapText wrapText)`
  Instantiates a new wrap square.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WrapSquare`
  `clone()`
  `Unit`
  `getDistanceBetweenTextAndBottomEdge()`
  Gets the distance between text and bottom edge.
  `Unit`
  `getDistanceBetweenTextAndLeftEdge()`
  Gets the distance between text and left edge.
  `Unit`
  `getDistanceBetweenTextAndRightEdge()`
  Gets the distance between text and right edge.
  `Unit`
  `getDistanceBetweenTextAndTopEdge()`
  Gets the distance between text and top edge.
  `EffectExtent`
  `getEffectExtent()`
  Gets the effect extent.
  `WrapText`
  `getWrapText()`
  Gets the wrap text.
  `void`
  `setDistanceBetweenTextAndBottomEdge​(Unit distanceBetweenTextAndBottomEdge)`
  Sets the distance between text and bottom edge.
  `void`
  `setDistanceBetweenTextAndLeftEdge​(Unit distanceBetweenTextAndLeftEdge)`
  Sets the distance between text and left edge.
  `void`
  `setDistanceBetweenTextAndRightEdge​(Unit distanceBetweenTextAndRightEdge)`
  Sets the distance between text and right edge.
  `void`
  `setDistanceBetweenTextAndTopEdge​(Unit distanceBetweenTextAndTopEdge)`
  Sets the distance between text and top edge.
  `void`
  `setEffectExtent​(EffectExtent effectExtent)`
  Sets the effect extent.
  `void`
  `setWrapText​(WrapText wrapText)`
  Sets the wrap text.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WrapSquare

    public WrapSquare()
    Instantiates a new wrap square.

  - ### WrapSquare

    public WrapSquare​(WrapText wrapText)
    Instantiates a new wrap square.
    Parameters:
      `wrapText` - the wrap text

- ## Method Details

  - ### clone

    public WrapSquare clone()
    Specified by:
      `clone` in class `WrapType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getWrapText

    public WrapText getWrapText()
    Gets the wrap text.
    Returns:
      the wrap text

  - ### setWrapText

    public void setWrapText​(WrapText wrapText)
    Sets the wrap text.
    Parameters:
      `wrapText` - the new wrap text

  - ### getDistanceBetweenTextAndBottomEdge

    public Unit getDistanceBetweenTextAndBottomEdge()
    Gets the distance between text and bottom edge.
    Returns:
      the distance between text and bottom edge

  - ### setDistanceBetweenTextAndBottomEdge

    public void setDistanceBetweenTextAndBottomEdge​(Unit distanceBetweenTextAndBottomEdge)
    Sets the distance between text and bottom edge.
    Parameters:
      `distanceBetweenTextAndBottomEdge` - the new distance between text and bottom edge

  - ### getDistanceBetweenTextAndLeftEdge

    public Unit getDistanceBetweenTextAndLeftEdge()
    Gets the distance between text and left edge.
    Returns:
      the distance between text and left edge

  - ### setDistanceBetweenTextAndLeftEdge

    public void setDistanceBetweenTextAndLeftEdge​(Unit distanceBetweenTextAndLeftEdge)
    Sets the distance between text and left edge.
    Parameters:
      `distanceBetweenTextAndLeftEdge` - the new distance between text and left edge

  - ### getDistanceBetweenTextAndRightEdge

    public Unit getDistanceBetweenTextAndRightEdge()
    Gets the distance between text and right edge.
    Returns:
      the distance between text and right edge

  - ### setDistanceBetweenTextAndRightEdge

    public void setDistanceBetweenTextAndRightEdge​(Unit distanceBetweenTextAndRightEdge)
    Sets the distance between text and right edge.
    Parameters:
      `distanceBetweenTextAndRightEdge` - the new distance between text and right edge

  - ### getDistanceBetweenTextAndTopEdge

    public Unit getDistanceBetweenTextAndTopEdge()
    Gets the distance between text and top edge.
    Returns:
      the distance between text and top edge

  - ### setDistanceBetweenTextAndTopEdge

    public void setDistanceBetweenTextAndTopEdge​(Unit distanceBetweenTextAndTopEdge)
    Sets the distance between text and top edge.
    Parameters:
      `distanceBetweenTextAndTopEdge` - the new distance between text and top edge

  - ### getEffectExtent

    public EffectExtent getEffectExtent()
    Gets the effect extent.
    Returns:
      the effect extent

  - ### setEffectExtent

    public void setEffectExtent​(EffectExtent effectExtent)
    Sets the effect extent.
    Parameters:
      `effectExtent` - the new effect extent